Subject: Re: GCC and Visual Basic
From: [email-masked] (Jean-Francois Morcillo)

1 Jul 1998 10:35:17 -0700
Message-ID: <Pine.SOL.3.95.980701063840.11737A-100000.cygnus.gnu-win32@predator>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Kevin Healey <[email-masked]>
Cc: [email-masked]

some years ago I created a DLL with Borland C++ 3.1 compiler. I remenber I
had to use the pascal calling convention to use it in a VB program. I made
it by putting the key word __pascal in the decalration.
void FAR __pascal export my_function(.....

let me know if it help you.

 On Mon, 29 Jun
1998, Kevin Healey wrote:

> I am trying use GCC to create a (simple) Windows 95 DLL that can be used
> with Visual Basic.
> 
> I have compiled from both the full Cygwin GNU-WIN32 and MINGW32.  I have
> been able to create a DLL that I can link with other GCC compiled
> executables.  But I can't get the DLL to work with VB.
> 
> I have checked the FAQ and this mailing list's archives and found some very
> good information.  I feel like I am very close to getting it to work.
> 
> Is there anyone out there that has a step by step example that I could
> follow to create a DLL that can be used from VB?
> 
> If you would like more specifics on the problems that I am having, let me
> know.
> 
> Thanks,
> Kevin Healey
> 
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".